org.hibernate.search.engine.metadata.impl

## Class PropertyMetadata

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.PropertyMetadata

- All Implemented Interfaces:
    PartialPropertyMetadata

      public class PropertyMetadata
      extends Object
      implements PartialPropertyMetadata

  Encapsulating the metadata for a single indexed property (field or getter). Each field or getter can have multiple document fields (via `@Fields`).
  Author:
    Hardy Ferentschik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertyMetadata.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeMetadata` | `getDeclaringType()`
    `BoostStrategy` | `getDynamicBoostStrategy()`
    `List<DocumentFieldMetadata>` | `getFieldMetadata()` Deprecated. use getFieldMetadataSet() instead
    `DocumentFieldMetadata` | `getFieldMetadata(String fieldName)`
    `Set<DocumentFieldMetadata>` | `getFieldMetadataSet()`
    `org.hibernate.annotations.common.reflection.XProperty` | `getPropertyAccessor()`
    `String` | `getPropertyAccessorName()`
    `Class<?>` | `getPropertyClass()`
    `Set<SortableFieldMetadata>` | `getSortableFieldMetadata()` Accessor to the metadata of the sortable fields.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDeclaringType

          public TypeMetadata getDeclaringType()

      Returns:
        The type declaring this property.

    - #### getPropertyAccessor

          public org.hibernate.annotations.common.reflection.XProperty getPropertyAccessor()

    - #### getPropertyClass

          public Class<?> getPropertyClass()

      Specified by:
        `getPropertyClass` in interface `PartialPropertyMetadata`

    - #### getPropertyAccessorName

          public String getPropertyAccessorName()

    - #### getFieldMetadata

          @Deprecated
          public List<DocumentFieldMetadata> getFieldMetadata()

      Deprecated. use getFieldMetadataSet() instead
      Returns:
        A newly created list containing this property's field metadata.

    - #### getFieldMetadataSet

          public Set<DocumentFieldMetadata> getFieldMetadataSet()

    - #### getFieldMetadata

          public DocumentFieldMetadata getFieldMetadata(String fieldName)

    - #### getSortableFieldMetadata

          public Set<SortableFieldMetadata> getSortableFieldMetadata()

      Accessor to the metadata of the sortable fields.
      Returns:
        the sortable fields defined for this property.

    - #### getDynamicBoostStrategy

          public BoostStrategy getDynamicBoostStrategy()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved